New: Audio API, Embeddings & Realtime WebSocket now available!
osmAPI LogoosmAPI

Embeddings

Creates an embedding vector representing the input text

POST
/v1/embeddings
modelstring

Model ID

inputstring|
encoding_format?string

Encoding format for the embedding vectors

Default"float"
Value in"float" | "base64"
dimensions?integer

Number of dimensions for the output embeddings

Range0 < value

Response Body

application/json

curl -X POST "https://api.osmapi.com/v1/embeddings" \  -H "Content-Type: application/json" \  -d '{    "model": "text-embedding-3-small",    "input": "string"  }'
{
  "id": "string",
  "object": "list",
  "data": [
    {
      "object": "embedding",
      "embedding": [
        0
      ],
      "index": 0
    }
  ],
  "model": "string",
  "usage": {
    "prompt_tokens": 0,
    "total_tokens": 0,
    "cost": 0
  }
}

How is this guide?